GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/memrange.c File Reference
`#include "defs.h"`
`#include "memrange.h"`
`#include <algorithm>`

Go to the source code of this file.

## Functions
int | mem_ranges_overlap (CORE_ADDR start1, int len1, CORE_ADDR start2, int len2)
int | address_in_mem_range (CORE_ADDR address, const struct mem_range *r)
void | normalize_mem_ranges (std::vector< mem_range > *memory)

## Function Documentation

## ◆ address_in_mem_range()

int address_in_mem_range | ( | CORE_ADDR | address,
|  | const struct mem_range * | r
| ) |  |

Definition at line 38 of file memrange.c.

References mem_range::length, and mem_range::start.

Referenced by svr4_current_sos().

## ◆ mem_ranges_overlap()

int mem_ranges_overlap | ( | CORE_ADDR | start1,
|  | int | len1,
|  | CORE_ADDR | start2,
|  | int | len2
| ) |  |

Definition at line 25 of file memrange.c.

Referenced by breakpoint_location_address_range_overlap(), section_table_available_memory(), section_table_read_available_memory(), and traceframe_available_memory().

## ◆ normalize_mem_ranges()

void normalize_mem_ranges | ( | std::vector< mem_range > * | memory | ) |

Definition at line 45 of file memrange.c.

References arm-linux::m.

Referenced by selftests::memrange_tests::normalize_mem_ranges_tests(), section_table_read_available_memory(), and traceframe_available_memory().